### Enumeration

# Qmi NasSwiEmmConnectionState

since: 1.24

#### Declaration

    enum Qmi.NasSwiEmmConnectionState

#### Description [src]

EMM connection state state. (Sierra Wireless specific).

Available since: 1.24

#### Members

`QMI_NAS_SWI_EMM_CONN_STATE_RRC_IDLE`

  RRC idle.

  - Value: `0`
  - Available since: 1.24
`QMI_NAS_SWI_EMM_CONN_STATE_WAITING_RRC_CFM`

  Waiting RRC Cfm.

  - Value: `1`
  - Available since: 1.24
`QMI_NAS_SWI_EMM_CONN_STATE_RRC_CONNECTING`

  RRC connecting.

  - Value: `2`
  - Available since: 1.24
`QMI_NAS_SWI_EMM_CONN_STATE_RRC_RELEASING`

  RRC releasing.

  - Value: `3`
  - Available since: 1.24
`QMI_NAS_SWI_EMM_CONN_STATE_UNKNOWN`

  Unknown.

  - Value: `255`
  - Available since: 1.24

#### Type functions

###### qmi_nas_swi_emm_connection_state_get_string

Gets the nickname string for the `QmiNasSwiEmmConnectionState` specified at `val`.

since: 1.24